<?php

class MY_Controller extends Controller {
 
	// Facebook application key
	var $API_KEY = FB_API_KEY;
 
	var $facebook;
	var $uid;
 
	/*
	 * Custom Controller constructor.
	 * Adds Facebook support.
	 *
	 */
	function MY_Controller() {
 
		parent::Controller();
 
		// Authentication key
		$secret = FB_SECRET;

		// Prevent the 'Undefined index: facebook_config' notice from being thrown.
		$GLOBALS['facebook_config']['debug'] = NULL;

                parse_str($_SERVER['QUERY_STRING'],$_GET);
 
		// Create a Facebook client API object.
		$this->facebook = new Facebook($this->API_KEY, $secret);
		$this->uid = $this->facebook->require_login();
	}
}

?>
